QGIS Application - Bug report #10957
Digitising & snaps
2014-07-26 04:40 AM - Jakub Kosik

Status: Closed

Priority: Normal

Assignee:

Category: Digitising

Affected QGIS version:2.4.0 Regression?: No
Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: worksforme
Crashes QGIS or corrupls data: Copied to github as #: 19305
Description

I've started work on big project with digitising in QGIS, and found some bugs when snapping:

1. When | try to move poligon or few polygons (red-line - dig1.png), snapping to same layer - sometimes cretes new vertex instead move
(dig2.png);

2. When | move vertex and snap to semi-transparent or black-line polygon layer | got effct: dig3.png - new vertex is crated on far, far away
random polygon from edited layer and snapped together.

Problem is rather old, I've noticed that in 2.2, 2.4 and 2.5

History

#1 - 2014-07-28 08:33 AM - Giovanni Manghi
- Status changed from Open to Feedback

a few screenshot do not help understand well how to replicate this issue. What would be needed is a sample project and data (with the snapping options
already defined as necessary) and/or a screencast (to help understand at what scale are you working, what steps to make, etc.).

#2 - 2014-07-28 10:32 AM - Jakub Kosik

| cannot share this data due to law restrictions. I'll try to create some screencast. Now I'm collecting data outdoors with QGIS and Windows-tablet

#3 - 2014-10-08 09:51 AM - Giovanni Manghi
- Resolution set to worksforme
- Status changed from Feedback to Closed

closing for lack of feedback, please reopen if necessary.

Files

dig1.png 26.4 KB 2014-07-26 Jakub Kosik
dig2.png 28.2 KB 2014-07-26 Jakub Kosik
dig3.png 150 KB 2014-07-26 Jakub Kosik
